Subject: git-svn died of signal 11 (was "3 failures on test t9100 (svn)")

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 3 Mar 2010 10:22:13 +0100

The 03/03/10, Nicolas Sebrecht wrote:

> That said, I did the svn tests because sometimes I have reproductible
> errors with 'git svn fetch' or 'git svn clone'. I'm not sure how both
> problems could be related... git-svn is a Perl script. The given message
> for this one is "error: died with signal 11" from what I remember (but
> I'm sure about the "signal 11" part).

Here we are:

  $ git svn fetch
  error: git-svn died of signal 11

This is reproductible in most of my repositories based on a remote
subversion server.

Examples:
#1

  $ cd okawix
  $ cat .git/config
  <...>
  [svn-remote "svn"]
    url = https://okawix.svn.sourceforge.net/svnroot/okawix
    fetch = :refs/remotes/git-svn

  $ git svn fetch
    A branches/liquid-okawix-experiment/okawix/components/owItemEnumerator.js
    A branches/liquid-okawix-experiment/okawix/components/owContentList.js
    M branches/liquid-okawix-experiment/okawix/components/owContentItem.js
    M branches/liquid-okawix-experiment/okawix/chrome/content/interfacewiki/js/corpus.js
    M branches/liquid-okawix-experiment/minitar/CMakeLists.txt
    M branches/liquid-okawix-experiment/public/owIContentItem.idl
    A branches/liquid-okawix-experiment/public/owIList.idl
    M branches/liquid-okawix-experiment/public/owIItem.idl
    A branches/liquid-okawix-experiment/public/owIItemListener.idl
    M branches/liquid-okawix-experiment/public/CMakeLists.txt
  r113 = 6beca3525de64c1883c610e505b801bffdacff9f (refs/remotes/git-svn)
    M branches/liquid-okawix-experiment/okawix/components/owContentItem.js
  r114 = 9dcffad45f421bcfb681b9427f8d8d2b52ac02c6 (refs/remotes/git-svn)
    M branches/liquid-okawix-experiment/okawix/components/owContentList.js
    M branches/liquid-okawix-experiment/okawix/chrome/content/interfacewiki/js/corpussidebar.js
    M branches/liquid-okawix-experiment/okawix/chrome/content/interfacewiki/js/corpus.js
    M branches/liquid-okawix-experiment/public/owIList.idl
    A branches/liquid-okawix-experiment/public/owIListListener.idl
    M branches/liquid-okawix-experiment/public/CMakeLists.txt
  r115 = 3bfa1336d8ea00d722fadbf15f0b2ba4a3818b70 (refs/remotes/git-svn)
  error: git-svn died of signal 11
  $

#2

  $ cd plume-cms
  $ cat .git/config
  <...>
  [svn-remote "svn"]
    url = https://pxsystem.svn.sourceforge.net/svnroot/pxsystem
    fetch = :refs/remotes/git-svn
  $ git svn fetch
  error: git-svn died of signal 11
  $

_But_ git-svn works as expected in the gccgo repository for example:

  $ cd gccgo
  $ cat .git/config
  <...>
  [svn-remote "svn"]
    url = svn://gcc.gnu.org/svn/gcc/branches/gccgo
    fetch = :refs/remotes/git-svn
  $ git svn fetch
  $

> I'll do more investigations at work tomorrow. I've already tried to add
> the "-d" flag in git-svn and it didn't help neither: git looked like in
> an infinite loop. Odd, odd, odd.

Adding the -d option to the shebang of git-svn doesn't help. I've
stopped the process after 24 minutes running.  I have no more
information with the -w option set.

For repositories where it works, the debug option works as expected too:

  $ cd gccgo
  $ git svn fetch
  Loading DB routines from perl5db.pl version 1.28
  Editor support available.
  Enter h or `h h' for help, or `man perldebug' for more help.
  
  main::(/home/nicolas/bin/libexec/git-core/git-svn:10):
  10: $AUTHOR = 'Eric Wong <[email-masked]>';
    DB<1> c
  Debugged program terminated.  Use q to quit or R to restart,
  <...>
  $

What shall I do next?

-- 
Nicolas Sebrecht